• Lucas Dutra Nunes's avatar
    linux-fslc: kernel build now needs GNU bc to work · 06dee2b7
    Lucas Dutra Nunes authored
    The kernel now needs to use GNU bc to be built since version 3.9. The following
    commit message from the kernel explains the reason:
    
    commit 70730bca1331fc50c3caacaea00439de1325bd6e
    Author: H. Peter Anvin <hpa@zytor.com>
    Date:   Thu Feb 14 15:13:55 2013 -0800
    
        kernel: Replace timeconst.pl with a bc script
    
        bc is the standard tool for multi-precision arithmetic.  We switched
        to Perl because akpm reported a hard-to-reproduce build hang, which
        was very odd because affected and unaffected machines were all running
        the same version of GNU bc.
    
        Unfortunately switching to Perl required a really ugly "canning"
        mechanism to support Perl < 5.8 installations lacking the Math::BigInt
        module.
    
        It was recently pointed out to me that some very old versions of GNU
        make had problems with pipes in subshells, which was indeed the
        construct used in the Makefile rules in that version of the patch;
        Perl didn't need it so switching to Perl fixed the problem for
        unrelated reasons.  With the problem (hopefully) root-caused, we can
        switch back to bc and do the arbitrary-precision arithmetic naturally.
    Signed-off-by: 's avatarH. Peter Anvin <hpa@zytor.com>
        Cc: Andrew Morton <akpm@linux-foundation.org>
    Acked-by: 's avatarSam Ravnborg <sam@ravnborg.org>
    Signed-off-by: 's avatarMichal Marek <mmarek@suse.cz>
    
    Change-Id: I09ec3629bf47aa4768bd21b0cfb1ca6fb6f5b18f
    Signed-off-by: 's avatarLucas Dutra Nunes <ldnunes@ossystems.com.br>
    06dee2b7
Name
Last commit
Last update
..
kernel-module-mcc Loading commit data...
linux Loading commit data...